<div class="fullwidthAndHeight">
    <div data-dojo-attach-point="template_root">
        <div data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="gutters:false,design:'sidebar','class':'fullwidthAndHeight'">
            <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="gutters:false,design:'sidebar',region:'top','class':'ct-application-header noPadding'">
                <div class="ct-application-header__logo logo "><span>${appProps.logoText}</span></div>
                <div class="ct-application-header__app-title appTitle">${appProps.title}</div>

                <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'center','class':'noPadding ct-application-header__container-center'" data-dojo-attach-point="header_center"></div>
                <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'right','class':'noPadding ct-application-header__container-right'" data-dojo-attach-point="header_right"></div>
            </div>
            <div data-dojo-type="ct/ui/template/OverlayContainer" data-dojo-props="region:'center','class':'ct-application-center mainMap'">
                <div data-dojo-type="dijit/layout/ContentPane" data-dojo-attach-point="mapPlaceHolder"></div>
                <div class="map_main" data-dojo-attach-point="map_main">
                    <div id="${id}-mapdesk" class="mapDeskAnchor"></div>
                    <div class="map_topleft" data-dojo-attach-point="map_topleft"></div>
                    <div class="map_topright" data-dojo-attach-point="map_topright"></div>
                    <div class="map_bottomright" data-dojo-attach-point="map_bottomright"></div>
                    <div class="map_bottomleft" data-dojo-attach-point="map_bottomleft"></div>
                </div>
            </div>
            <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'bottom','class':'ct-application-footer ct-flex-container ct-flex-justify-between ct-flex-align-center'">
                <div data-dojo-attach-point="footer_left" class="ct-application-footer__container-left ct-flex-container ct-flex-align-center">
                    <div id="${id}-dockingBarBottomLeft" data-dojo-type="windowmanager/WindowDockingBar" data-dojo-props="'class':'dockingBarBottomLeft',tabPosition:'horizontal',toggleMode:true,toolSortIds:['resultcenterToggleTool','mapflowToggleTool','followmeToggleTool','basemapgalleryToggleTool','legendToggleTool']"></div>
                    <div id="${id}-dockingBarBottomRight" data-dojo-type="windowmanager/WindowDockingBar" data-dojo-props="'class':'dockingBarBottomRight',tabPosition:'horizontal'"></div>
                </div>
                <div data-dojo-attach-point="footer_right" class="ct-application-footer__container-right ct-flex-container ct-flex-align-center"></div>
            </div>
            <div data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="gutters:true, design:'headline', region:'right','class':'noPadding ct-application-center__sidebar-right'">
                <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="gutters:true, region:'top','class':'noPadding ct-application-center__sidebar-right-top'" data-dojo-attach-point="sidebarToolbar"></div>
                <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="gutters:true, region:'center','class':'noPadding ct-application-center__sidebar-right-center'" data-dojo-attach-point="resultCenter"></div>
            </div>
        </div>
    </div>
</div>